libosmocore 1.13.1.1-afb4 Osmocom core library

Data Fields
osmo_stat_item_group Struct Reference
Statistics value item

One instance of a counter group class. More...

`#include <stat_item.h>`

## Data Fields
struct llist_head | list
| Linked list of all value groups in the system. More...
const struct osmo_stat_item_group_desc * | desc
| Pointer to the counter group class. More...
unsigned int | idx
| The index of this value group within its class. More...
char * | name
| Optional string-based identifier to be used instead of index at report time. More...
struct osmo_stat_item * | items [0]
| Actual counter structures below. More...

## Detailed Description

One instance of a counter group class.

## Field Documentation

## ◆ desc

const struct osmo_stat_item_group_desc* osmo_stat_item_group::desc

Pointer to the counter group class.

Referenced by osmo_stat_item_for_each_item(), osmo_stat_item_get_by_name(), osmo_stat_item_get_group_by_name_idx(), osmo_stat_item_get_group_by_name_idxname(), osmo_stat_item_group_alloc(), osmo_stat_item_group_reset(), osmo_stat_item_handler(), osmo_stats_reporter_log_send_item(), and osmo_stats_reporter_statsd_send_item().

## ◆ idx

unsigned int osmo_stat_item_group::idx

The index of this value group within its class.

Referenced by osmo_stat_item_get_group_by_name_idx(), osmo_stat_item_group_alloc(), osmo_stat_item_group_udp_idx(), osmo_stat_item_handler(), osmo_stats_reporter_log_send_item(), and osmo_stats_reporter_statsd_send_item().

## ◆ items

struct osmo_stat_item* osmo_stat_item_group::items[0]

Actual counter structures below.

Referenced by osmo_stat_item_for_each_item(), osmo_stat_item_get_by_name(), osmo_stat_item_group_alloc(), osmo_stat_item_group_get_item(), and osmo_stat_item_group_reset().

## ◆ list

struct llist_head osmo_stat_item_group::list

Linked list of all value groups in the system.

Referenced by osmo_stat_item_group_alloc(), and osmo_stat_item_group_free().

## ◆ name

char* osmo_stat_item_group::name

Optional string-based identifier to be used instead of index at report time.

Referenced by osmo_stat_item_get_group_by_name_idxname(), osmo_stat_item_group_set_name(), and osmo_stats_reporter_statsd_send_item().

The documentation for this struct was generated from the following file:

- include/osmocom/core/stat_item.h